<?xml version="1.0" encoding="utf-8"?>
<datafile>
  <header>
    <name>Sega System 24</name>
    <description>Sega System 24 datafile extracted from mame</description>
    <category>MAME Arcade</category>
    <version>0.226</version>
    <date>20201109</date>
    <author>Eric Bole-Feysot</author>
    <homepage>Romcenter Home Page</homepage>
    <url>http://www.romcenter.com/</url>
    <comment>Datafile made with Romcenter rom manager</comment>
  </header>
  <machine name="bnzabros" sourcefile="segas24.cpp">
    <description>Bonanza Bros (US, Floppy DS3-5000-07d? Based)</description>
    <year>1990</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="mpr-13188-h.2" size="524288" crc="d3802294" sha1="7608e71e8ef398ac24dbf851994253bca5ace625" region="romboard" offset="0" />
    <rom name="mpr-13187-h.1" size="524288" crc="e3d8c5f7" sha1="5b1e8646debee2f2ef272ddd3320b0a17192fbbe" region="romboard" offset="1" />
    <rom name="mpr-13190.4" size="262144" crc="0b4df388" sha1="340478bba82069ab745d6d8703e6801411fd2fc4" region="romboard" offset="100000" />
    <rom name="mpr-13189.3" size="262144" crc="5ea5a2f3" sha1="514b5446303c50aeb1d6d10d0a3f210da2577e16" region="romboard" offset="100001" />
    <rom name="ds3-5000-07d.img" size="1843200" crc="2e70251f" sha1="1c2616dfa5cc15e8ebf1424012f2dd66f3a001a1" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="1" value="2" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Common" value="4" default="yes" />
      <dipvalue name="Individual" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="8" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="Easy" value="32" />
      <dipvalue name="Normal" value="48" default="yes" />
      <dipvalue name="Hard" value="16" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <dipswitch name="Lives" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="1" value="0" />
      <dipvalue name="2" value="64" />
      <dipvalue name="3" value="192" default="yes" />
      <dipvalue name="4" value="128" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="bnzabrosj" sourcefile="segas24.cpp" cloneof="bnzabros" romof="bnzabros">
    <description>Bonanza Bros (Japan, Floppy DS3-5000-07b Based)</description>
    <year>1990</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" merge="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" merge="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="mpr-13188-h.2" merge="mpr-13188-h.2" size="524288" crc="d3802294" sha1="7608e71e8ef398ac24dbf851994253bca5ace625" region="romboard" offset="0" />
    <rom name="mpr-13187-h.1" merge="mpr-13187-h.1" size="524288" crc="e3d8c5f7" sha1="5b1e8646debee2f2ef272ddd3320b0a17192fbbe" region="romboard" offset="1" />
    <rom name="mpr-13190.4" merge="mpr-13190.4" size="262144" crc="0b4df388" sha1="340478bba82069ab745d6d8703e6801411fd2fc4" region="romboard" offset="100000" />
    <rom name="mpr-13189.3" merge="mpr-13189.3" size="262144" crc="5ea5a2f3" sha1="514b5446303c50aeb1d6d10d0a3f210da2577e16" region="romboard" offset="100001" />
    <rom name="ds3-5000-07b.img" size="1843200" crc="efa7f2a7" sha1="eb905bff88fa40324fb92b91ac8a5878648c26e5" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="1" value="2" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Common" value="4" default="yes" />
      <dipvalue name="Individual" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="8" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="Easy" value="32" />
      <dipvalue name="Normal" value="48" default="yes" />
      <dipvalue name="Hard" value="16" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <dipswitch name="Lives" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="1" value="0" />
      <dipvalue name="2" value="64" />
      <dipvalue name="3" value="192" default="yes" />
      <dipvalue name="4" value="128" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="crkdown" sourcefile="segas24.cpp">
    <description>Crack Down (World, Floppy Based, FD1094 317-0058-04c)</description>
    <year>1989</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-04c.key" size="8192" crc="16e978cc" sha1="0e1482b5efa93b732d4cf0990919cb3fc903dca7" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-04c.img" size="1843200" crc="7d97ba5e" sha1="43f98bd04d031dd435bbd1bf8e6688bc57ce9666" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="8" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="Off" value="16" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="Off" value="32" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Common" value="64" default="yes" />
      <dipvalue name="Separate" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="imperfect" emulation="good" savestate="unsupported" />
    <feature type="graphics" status="imperfect" />
  </machine>
  <machine name="crkdownj" sourcefile="segas24.cpp" cloneof="crkdown" romof="crkdown">
    <description>Crack Down (Japan, Floppy Based, FD1094 317-0058-04b Rev A)</description>
    <year>1989</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" merge="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" merge="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-04b.key" size="8192" crc="4a99a202" sha1="d7375f09e7246ecd60ba0e48f049e9e252af92a8" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-04b-rev-a.img" size="1843200" crc="5daa1a9a" sha1="ce2f07b83b607bbbdb70f1ae344c1d897d601809" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="8" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="Off" value="16" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="Off" value="32" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Common" value="64" default="yes" />
      <dipvalue name="Separate" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="imperfect" emulation="good" savestate="unsupported" />
    <feature type="graphics" status="imperfect" />
  </machine>
  <machine name="crkdownu" sourcefile="segas24.cpp" cloneof="crkdown" romof="crkdown">
    <description>Crack Down (US, Floppy Based, FD1094 317-0058-04d)</description>
    <year>1989</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" merge="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" merge="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-04d.key" size="8192" crc="934ac358" sha1="73418e22c9d201bc3fec5c63284858958c010e05" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-04d.img" size="1843200" crc="8679032c" sha1="887b245a70652897fbda736b60e81a123866ec12" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="8" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="Off" value="16" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="Off" value="32" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Common" value="64" default="yes" />
      <dipvalue name="Separate" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="imperfect" emulation="good" savestate="unsupported" />
    <feature type="graphics" status="imperfect" />
  </machine>
  <machine name="dcclub" sourcefile="segas24.cpp">
    <description>Dynamic Country Club (World, ROM Based)</description>
    <year>1991</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr13948.bin" size="131072" crc="d6a031c8" sha1="45b7e3cd2c7412e24f547cd4185166199d3938d5" region="maincpu" offset="0" />
    <rom name="epr13947.bin" size="131072" crc="7e3cff5e" sha1="ff8cb776d2491796feeb8892c7e644e590438945" region="maincpu" offset="1" />
    <rom name="epr-15345.2" size="524288" crc="d9e120c2" sha1="b18b76733078d8534c6f0d8950632ab51e6a10ab" region="romboard" offset="0" />
    <rom name="epr-15344.1" size="524288" crc="8f8b9f74" sha1="de6b923118bea60197547ad016cb5d5e1a8f372b" region="romboard" offset="1" />
    <rom name="mpr-14097-t.4" size="524288" crc="4bd74cae" sha1="5aa90bd5d2b8e2338ef0fe41d1f794e8d51321e1" region="romboard" offset="100000" />
    <rom name="mpr-14096-t.3" size="524288" crc="38d96502" sha1="c68b3c5c83fd0839c3f6f81189c310ec19bdf1c4" region="romboard" offset="100001" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="1" coins="4" service="yes">
      <control type="pedal" buttons="4" minimum="0" maximum="191" sensitivity="16" keydelta="16" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="1" value="1" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Timing Meter" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Normal" value="8" default="yes" />
      <dipvalue name="Easy" value="0" />
    </dipswitch>
    <dipswitch name="Initial Balls" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="1" value="0" />
      <dipvalue name="2" value="16" default="yes" />
    </dipswitch>
    <dipswitch name="Balls Limit" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="3" value="0" />
      <dipvalue name="4" value="32" default="yes" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easy" value="128" />
      <dipvalue name="Normal" value="192" default="yes" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PADDLE">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="dcclubfd" sourcefile="segas24.cpp" cloneof="dcclub" romof="dcclub">
    <description>Dynamic Country Club (US, Floppy Based, FD1094 317-0058-09d)</description>
    <year>1991</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-09d.key" size="8192" crc="a91ebffb" sha1="70b8b4272ca456491f254d115b434bb4ce73f049" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-09d.img" size="1843200" crc="69870887" sha1="e47a997c2c783bf6670ab213ebe2ee35492eba34" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="1" coins="4" service="yes">
      <control type="pedal" buttons="4" minimum="0" maximum="191" sensitivity="16" keydelta="16" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="1" value="1" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Timing Meter" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Normal" value="8" default="yes" />
      <dipvalue name="Easy" value="0" />
    </dipswitch>
    <dipswitch name="Initial Balls" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="1" value="0" />
      <dipvalue name="2" value="16" default="yes" />
    </dipswitch>
    <dipswitch name="Balls Limit" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="3" value="0" />
      <dipvalue name="4" value="32" default="yes" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easy" value="128" />
      <dipvalue name="Normal" value="192" default="yes" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PADDLE">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="dcclubj" sourcefile="segas24.cpp" cloneof="dcclub" romof="dcclub">
    <description>Dynamic Country Club (Japan, ROM Based)</description>
    <year>1991</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr13948.bin" merge="epr13948.bin" size="131072" crc="d6a031c8" sha1="45b7e3cd2c7412e24f547cd4185166199d3938d5" region="maincpu" offset="0" />
    <rom name="epr13947.bin" merge="epr13947.bin" size="131072" crc="7e3cff5e" sha1="ff8cb776d2491796feeb8892c7e644e590438945" region="maincpu" offset="1" />
    <rom name="epr-14095a.2" size="524288" crc="88d184e9" sha1="519f3a22e1619de9d5f13a45b85ebd249ebfa979" region="romboard" offset="0" />
    <rom name="epr-14094a.1" size="524288" crc="7dd2b7d4" sha1="c7eaf9e2700e0c55f7e867f5cd3ffaa5aae97956" region="romboard" offset="1" />
    <rom name="mpr-14097-t.4" merge="mpr-14097-t.4" size="524288" crc="4bd74cae" sha1="5aa90bd5d2b8e2338ef0fe41d1f794e8d51321e1" region="romboard" offset="100000" />
    <rom name="mpr-14096-t.3" merge="mpr-14096-t.3" size="524288" crc="38d96502" sha1="c68b3c5c83fd0839c3f6f81189c310ec19bdf1c4" region="romboard" offset="100001" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="upd4701a" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="1" coins="4" service="yes">
      <control type="dial" buttons="2" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" minimum="0" maximum="191" sensitivity="16" keydelta="16" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="1" value="1" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Timing Meter" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Normal" value="8" default="yes" />
      <dipvalue name="Easy" value="0" />
    </dipswitch>
    <dipswitch name="Initial Balls" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="1" value="0" />
      <dipvalue name="2" value="16" default="yes" />
    </dipswitch>
    <dipswitch name="Balls Limit" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="3" value="0" />
      <dipvalue name="4" value="32" default="yes" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easy" value="128" />
      <dipvalue name="Normal" value="192" default="yes" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DIAL1">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL2" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PADDLE">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="gground" sourcefile="segas24.cpp">
    <description>Gain Ground (World, 3 Players, Floppy Based, FD1094 317-0058-03d Rev A)</description>
    <year>1988</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-03d.key" size="8192" crc="e1785bbd" sha1="b4bebb2829299f1c0815d6a5f317a2526b322f63" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-03d-rev-a.img" size="1843200" crc="5c5910f2" sha1="9ed564a03c0d4ca4a207f3ecfb7336c6cbcaa70f" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="270" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="3" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
      <control type="joy" player="3" buttons="2" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="28">
      <diplocation name="SW2" number="3" />
      <diplocation name="SW2" number="4" />
      <diplocation name="SW2" number="5" />
      <dipvalue name="Easiest" value="0" />
      <dipvalue name="Easier" value="16" />
      <dipvalue name="Easy" value="8" />
      <dipvalue name="Little Easy" value="24" />
      <dipvalue name="Normal" value="28" default="yes" />
      <dipvalue name="Little Hard" value="12" />
      <dipvalue name="Hard" value="20" />
      <dipvalue name="Hardest" value="4" />
    </dipswitch>
    <dipswitch name="Time Limit Per Stage" tag="DSW" mask="96">
      <diplocation name="SW2" number="6" />
      <diplocation name="SW2" number="7" />
      <dipvalue name="Easiest" value="32" />
      <dipvalue name="Easy" value="64" />
      <dipvalue name="Normal" value="96" default="yes" />
      <dipvalue name="Hard" value="0" />
    </dipswitch>
    <dipswitch name="Clock Of Time Limit" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="1.00 sec" value="128" default="yes" />
      <dipvalue name="0.80 sec" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="ggroundj" sourcefile="segas24.cpp" cloneof="gground" romof="gground">
    <description>Gain Ground (Japan, 2 Players, Floppy Based, FD1094 317-0058-03b)</description>
    <year>1988</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" merge="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" merge="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-03b.key" size="8192" crc="84aecdba" sha1="ceddf967359a6e76543fe1ab00be53d0a11fe1ab" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-03b.img" size="1843200" crc="7200dac9" sha1="07cf33bf2a0da36e3852de409959f30128cdbf77" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="270" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="3" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
      <control type="joy" player="3" buttons="2" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="28">
      <diplocation name="SW2" number="3" />
      <diplocation name="SW2" number="4" />
      <diplocation name="SW2" number="5" />
      <dipvalue name="Easiest" value="0" />
      <dipvalue name="Easier" value="16" />
      <dipvalue name="Easy" value="8" />
      <dipvalue name="Little Easy" value="24" />
      <dipvalue name="Normal" value="28" default="yes" />
      <dipvalue name="Little Hard" value="12" />
      <dipvalue name="Hard" value="20" />
      <dipvalue name="Hardest" value="4" />
    </dipswitch>
    <dipswitch name="Time Limit Per Stage" tag="DSW" mask="96">
      <diplocation name="SW2" number="6" />
      <diplocation name="SW2" number="7" />
      <dipvalue name="Easiest" value="32" />
      <dipvalue name="Easy" value="64" />
      <dipvalue name="Normal" value="96" default="yes" />
      <dipvalue name="Hard" value="0" />
    </dipswitch>
    <dipswitch name="Clock Of Time Limit" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="1.00 sec" value="128" default="yes" />
      <dipvalue name="0.80 sec" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="hotrod" sourcefile="segas24.cpp">
    <description>Hot Rod (World, 3 Players, Turbo set 1, Floppy Based)</description>
    <year>1988</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-11339.ic2" size="131072" crc="75130e73" sha1="e079739f4a3da3807aac570442c5afef1a7d7b0e" region="maincpu" offset="0" />
    <rom name="epr-11338.ic1" size="131072" crc="7d4a7ff3" sha1="3d3af04d990d232ba0a8fe155de59bc632a0a461" region="maincpu" offset="1" />
    <rom name="ds3-5000-01d_3p_turbo.img" size="1925120" crc="842006fd" sha1="d5432f58c0fb39f2bf62786a0d842bdd469ab2cb" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <device_ref name="upd4701a" />
    <device_ref name="upd4701a" />
    <device_ref name="msm6253" />
    <device_ref name="msm6253" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="4" coins="8" service="yes">
      <control type="dial" player="1" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="1" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="2" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="2" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="3" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="3" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="4" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="4" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="8" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="Off" value="16" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="1" value="32" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Separate" value="64" default="yes" />
      <dipvalue name="Common" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DIAL1">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL2">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL3">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL4">
      <analog mask="4095" />
    </port>
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PEDAL1">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL2">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL3">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL4">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="hotroda" sourcefile="segas24.cpp" cloneof="hotrod" romof="hotrod">
    <description>Hot Rod (World, 3 Players, Turbo set 2, Floppy Based)</description>
    <year>1988</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-11339.ic2" merge="epr-11339.ic2" size="131072" crc="75130e73" sha1="e079739f4a3da3807aac570442c5afef1a7d7b0e" region="maincpu" offset="0" />
    <rom name="epr-11338.ic1" merge="epr-11338.ic1" size="131072" crc="7d4a7ff3" sha1="3d3af04d990d232ba0a8fe155de59bc632a0a461" region="maincpu" offset="1" />
    <rom name="ds3-5000-01d.img" size="1925120" crc="e25c6b63" sha1="fbf86d2ebccd8053b990939f63f5497907d18321" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <device_ref name="upd4701a" />
    <device_ref name="upd4701a" />
    <device_ref name="msm6253" />
    <device_ref name="msm6253" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="4" coins="8" service="yes">
      <control type="dial" player="1" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="1" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="2" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="2" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="3" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="3" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="4" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="4" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="8" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="Off" value="16" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="1" value="32" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Separate" value="64" default="yes" />
      <dipvalue name="Common" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DIAL1">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL2">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL3">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL4">
      <analog mask="4095" />
    </port>
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PEDAL1">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL2">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL3">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL4">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="hotrodj" sourcefile="segas24.cpp" cloneof="hotrod" romof="hotrod">
    <description>Hot Rod (Japan, 4 Players, Floppy Based, Rev C)</description>
    <year>1988</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-11339.ic2" merge="epr-11339.ic2" size="131072" crc="75130e73" sha1="e079739f4a3da3807aac570442c5afef1a7d7b0e" region="maincpu" offset="0" />
    <rom name="epr-11338.ic1" merge="epr-11338.ic1" size="131072" crc="7d4a7ff3" sha1="3d3af04d990d232ba0a8fe155de59bc632a0a461" region="maincpu" offset="1" />
    <rom name="ds3-5000-01a-rev-c.img" size="1925120" crc="852f9b5f" sha1="159e161f55beed0f90cce8a73b0aeb4564d6af90" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <device_ref name="upd4701a" />
    <device_ref name="upd4701a" />
    <device_ref name="msm6253" />
    <device_ref name="msm6253" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="4" coins="8" service="yes">
      <control type="dial" player="1" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="1" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="2" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="2" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="3" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="3" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="4" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="4" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="1" value="4" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Play Mode" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="4 Player" value="8" default="yes" />
      <dipvalue name="2 Player" value="0" />
    </dipswitch>
    <dipswitch name="Game Style" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="4 Sides" value="16" default="yes" />
      <dipvalue name="2 Sides" value="0" />
    </dipswitch>
    <dipswitch name="Language" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="Japanese" value="32" default="yes" />
      <dipvalue name="English" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Separate" value="64" default="yes" />
      <dipvalue name="Common" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DIAL1">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL2">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL3">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL4">
      <analog mask="4095" />
    </port>
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PEDAL1">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL2">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL3">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL4">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="hotrodja" sourcefile="segas24.cpp" cloneof="hotrod" romof="hotrod">
    <description>Hot Rod (Japan, 4 Players, Floppy Based, Rev B)</description>
    <year>1988</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-11339.ic2" merge="epr-11339.ic2" size="131072" crc="75130e73" sha1="e079739f4a3da3807aac570442c5afef1a7d7b0e" region="maincpu" offset="0" />
    <rom name="epr-11338.ic1" merge="epr-11338.ic1" size="131072" crc="7d4a7ff3" sha1="3d3af04d990d232ba0a8fe155de59bc632a0a461" region="maincpu" offset="1" />
    <rom name="ds3-5000-01a-rev-b.img" size="1925120" crc="c18f6dca" sha1="6f2b5a9567a340324a5f3fb57a3b744de0924a23" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <device_ref name="upd4701a" />
    <device_ref name="upd4701a" />
    <device_ref name="msm6253" />
    <device_ref name="msm6253" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="4" coins="8" service="yes">
      <control type="dial" player="1" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="1" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="2" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="2" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="3" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="3" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
      <control type="dial" player="4" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" player="4" minimum="1" maximum="255" sensitivity="25" keydelta="15" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="1" value="4" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Play Mode" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="4 Player" value="8" default="yes" />
      <dipvalue name="2 Player" value="0" />
    </dipswitch>
    <dipswitch name="Game Style" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="4 Sides" value="16" default="yes" />
      <dipvalue name="2 Sides" value="0" />
    </dipswitch>
    <dipswitch name="Language" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="Japanese" value="32" default="yes" />
      <dipvalue name="English" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Separate" value="64" default="yes" />
      <dipvalue name="Common" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DIAL1">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL2">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL3">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL4">
      <analog mask="4095" />
    </port>
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PEDAL1">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL2">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL3">
      <analog mask="255" />
    </port>
    <port tag=":PEDAL4">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="mahmajn" sourcefile="segas24.cpp">
    <description>Tokoro San no MahMahjan (Japan, ROM Based)</description>
    <year>1992</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr14813.bin" size="131072" crc="ea38cf4b" sha1="118ab2e0ae20a4db5e619945dfbb3f200de3979c" region="maincpu" offset="0" />
    <rom name="epr14812.bin" size="131072" crc="5a3cb4a7" sha1="c0f21282140e8e6e927664f5f2b90525ae0207e9" region="maincpu" offset="1" />
    <rom name="mpr14820.bin" size="524288" crc="8d2a03d3" sha1="b3339bcd101bcfe042e2a1cfdc8baef0a86624df" region="romboard" offset="0" />
    <rom name="mpr14819.bin" size="524288" crc="e84c4827" sha1="54741295e1bdca7d0c78eb795a68b92212d43b2e" region="romboard" offset="1" />
    <rom name="mpr14822.bin" size="524288" crc="7c3dcc51" sha1="a199c2c71cda44a2c8755074c1007d83c8d45d2d" region="romboard" offset="100000" />
    <rom name="mpr14821.bin" size="524288" crc="bd8dc543" sha1="fd50b14fa73307a62dc0b522cfedb8b3332c407e" region="romboard" offset="100001" />
    <rom name="mpr14824.bin" size="524288" crc="38311933" sha1="237d9a8ffe14ba9ec371bb571d7c9e74a93fe1f3" region="romboard" offset="200000" />
    <rom name="mpr14823.bin" size="524288" crc="4c8d4550" sha1="be8717d4080ce932fc8272ebe54e2b0a60b20edd" region="romboard" offset="200001" />
    <rom name="mpr14826.bin" size="524288" crc="c31b8805" sha1="b446388c83af2e14300b0c4248470d3a8c504f2c" region="romboard" offset="300000" />
    <rom name="mpr14825.bin" size="524288" crc="191080a1" sha1="407c1c5fa4c76732e8a444860094542e90a1e8e8" region="romboard" offset="300001" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="1" coins="4" service="yes">
      <control type="mahjong" buttons="19" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Start Score" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="2000" value="0" />
      <dipvalue name="3000" value="2" default="yes" />
    </dipswitch>
    <dipswitch name="Difficulty (computer)" tag="DSW" mask="12">
      <diplocation name="SW2" number="3" />
      <diplocation name="SW2" number="4" />
      <dipvalue name="Easy" value="8" />
      <dipvalue name="Normal" value="12" default="yes" />
      <dipvalue name="Hard" value="4" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty (player)" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="Easy" value="32" />
      <dipvalue name="Normal" value="48" default="yes" />
      <dipvalue name="Hard" value="16" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Off" value="64" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":MJ0" />
    <port tag=":MJ1" />
    <port tag=":MJ2" />
    <port tag=":MJ3" />
    <port tag=":MJ4" />
    <port tag=":MJ5" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="mahmajn2" sourcefile="segas24.cpp">
    <description>Tokoro San no MahMahjan 2 (Japan, ROM Based)</description>
    <year>1994</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr16799.bin" size="131072" crc="3a34cf75" sha1="d22bf6334668af29167cf4244d18f9cd2e7ff7d6" region="maincpu" offset="0" />
    <rom name="epr16798.bin" size="131072" crc="662923fa" sha1="dcd3964d899d3f34dab22ffcd1a5af895804fae1" region="maincpu" offset="1" />
    <rom name="mpr16801.bin" size="524288" crc="74855a17" sha1="d2d8e7da7b261e7cb64605284d2c78fbd1465b69" region="romboard" offset="0" />
    <rom name="mpr16800.bin" size="524288" crc="6dbc1e02" sha1="cce5734243ff171759cecb5c05c12dc743a25c1d" region="romboard" offset="1" />
    <rom name="mpr16803.bin" size="524288" crc="9b658dd6" sha1="eaaae289a3555aa6a92f57eea964dbbf48c5c2a4" region="romboard" offset="100000" />
    <rom name="mpr16802.bin" size="524288" crc="b4723225" sha1="acb8923c7d9908b1112f8d1f2512f18236915e5d" region="romboard" offset="100001" />
    <rom name="mpr16805.bin" size="524288" crc="d15528df" sha1="bda1dd5c98867c2e7666380bca0bc7eef8022fbc" region="romboard" offset="200000" />
    <rom name="mpr16804.bin" size="524288" crc="a0de08e2" sha1="2c36b66e74b88fb076e2eaa250c6d06ee0b4ac88" region="romboard" offset="200001" />
    <rom name="mpr16807.bin" size="524288" crc="816188bb" sha1="76b2690a6156766a1af94f01f6de1209b7756b2c" region="romboard" offset="300000" />
    <rom name="mpr16806.bin" size="524288" crc="54b353d3" sha1="40632e4571b44ee215b5a1f7aab9d89c460a5c9e" region="romboard" offset="300001" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="1" coins="4" service="yes">
      <control type="mahjong" buttons="19" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Start Score" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="2000" value="0" />
      <dipvalue name="3000" value="2" default="yes" />
    </dipswitch>
    <dipswitch name="Difficulty (computer)" tag="DSW" mask="12">
      <diplocation name="SW2" number="3" />
      <diplocation name="SW2" number="4" />
      <dipvalue name="Easy" value="8" />
      <dipvalue name="Normal" value="12" default="yes" />
      <dipvalue name="Hard" value="4" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty (player)" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="Easy" value="32" />
      <dipvalue name="Normal" value="48" default="yes" />
      <dipvalue name="Hard" value="16" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Off" value="64" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":MJ0" />
    <port tag=":MJ1" />
    <port tag=":MJ2" />
    <port tag=":MJ3" />
    <port tag=":MJ4" />
    <port tag=":MJ5" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="qgh" sourcefile="segas24.cpp">
    <description>Quiz Ghost Hunter (Japan, ROM Based)</description>
    <year>1994</year>
    <manufacturer>Sega</manufacturer>
    <rom name="16900b" size="131072" crc="20d7b7d1" sha1="345b228c27e5f2fef9a2b8b5f619c59450a070f8" region="maincpu" offset="0" />
    <rom name="16899b" size="131072" crc="397b3ba9" sha1="1773212cd87dcff840f3953ec368be7e2394faf0" region="maincpu" offset="1" />
    <rom name="16902a" size="524288" crc="d35b7706" sha1="341bca0af6b6d3f326328a88cdc69c7897b83a0d" region="romboard" offset="0" />
    <rom name="16901a" size="524288" crc="ab4bcb33" sha1="8acd73096eb485c6dc83da6adfcc47d5d0f5b7f3" region="romboard" offset="1" />
    <rom name="16904" size="524288" crc="10987c88" sha1="66f893690565aed613427421958ebe225a20ad0f" region="romboard" offset="100000" />
    <rom name="16903" size="524288" crc="c19f9e46" sha1="f1275674a8b44957428d79402f240ca21a34f48d" region="romboard" offset="100001" />
    <rom name="16906" size="524288" crc="99c6773e" sha1="568570b607d2cbbedb39ceae5bbc479478fae4ca" region="romboard" offset="200000" />
    <rom name="16905" size="524288" crc="3922bbe3" sha1="4378ca900f96138b5e33265ddac56af7b45afbc8" region="romboard" offset="200001" />
    <rom name="16908" size="524288" crc="407ec20f" sha1="c8a909d8e9ba024a37a5af6b7920fe7023f80d49" region="romboard" offset="300000" />
    <rom name="16907" size="524288" crc="734b0a82" sha1="d3fb31c55e79b99040beb7c49faaf2e17b95aa87" region="romboard" offset="300001" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="12">
      <diplocation name="SW2" number="3" />
      <diplocation name="SW2" number="4" />
      <dipvalue name="Easy" value="8" />
      <dipvalue name="Normal" value="12" default="yes" />
      <dipvalue name="Hard" value="4" />
      <dipvalue name="Hard" value="0" />
    </dipswitch>
    <dipswitch name="Lives" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="3" value="16" />
      <dipvalue name="3" value="0" />
      <dipvalue name="4" value="32" />
      <dipvalue name="5" value="48" default="yes" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="Off" value="64" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="Off" value="128" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="qrouka" sourcefile="segas24.cpp">
    <description>Quiz Rouka Ni Tattenasai (Japan, ROM Based)</description>
    <year>1991</year>
    <manufacturer>Sega</manufacturer>
    <rom name="14485" size="131072" crc="fc0085f9" sha1="0250d1e17e19b541b85198ec4207e55bfbd5c32e" region="maincpu" offset="0" />
    <rom name="14484" size="131072" crc="f51c641c" sha1="3f2fd0be7d58c75e88565393da5e810655413b53" region="maincpu" offset="1" />
    <rom name="14482" size="524288" crc="7a13dd97" sha1="bfe9950d2cd41f3f866520923c1ed7b8da1990ec" region="romboard" offset="0" />
    <rom name="14483" size="524288" crc="f3eb51a0" sha1="6904830ff5e7aa5f016e115572fb6da678896ede" region="romboard" offset="100000" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="4" coins="4" service="yes">
      <control type="joy" player="1" buttons="1" ways="8" />
      <control type="joy" player="2" buttons="1" ways="8" />
      <control type="joy" player="3" buttons="1" ways="8" />
      <control type="joy" player="4" buttons="1" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Play Mode" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="2 Player" value="1" />
      <dipvalue name="4 Player" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Coin Chute" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Common" value="8" default="yes" />
      <dipvalue name="Separate" value="0" />
    </dipswitch>
    <dipswitch name="Lives" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="2" value="16" />
      <dipvalue name="3" value="0" />
      <dipvalue name="4" value="48" default="yes" />
      <dipvalue name="5" value="32" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easy" value="128" />
      <dipvalue name="Normal" value="192" default="yes" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="qsww" sourcefile="segas24.cpp">
    <description>Quiz Syukudai wo Wasuremashita (Japan, Floppy Based, FD1094 317-0058-08b)</description>
    <year>1991</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-08b.key" size="8192" crc="fe0a336a" sha1="f7a5b2c1a057d0bb8c1ae0453c58aa8f5fb731b9" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-08b.img" size="1843200" crc="5a886d38" sha1="2e974a9ffe3534da4fb117c579b8b0e61a63542c" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="1" value="1" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="8" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Lives" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="2" value="16" />
      <dipvalue name="3" value="0" />
      <dipvalue name="4" value="48" default="yes" />
      <dipvalue name="5" value="32" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easy" value="128" />
      <dipvalue name="Normal" value="192" default="yes" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="imperfect" emulation="good" savestate="unsupported" />
    <feature type="graphics" status="imperfect" />
  </machine>
  <machine name="quizmeku" sourcefile="segas24.cpp">
    <description>Quiz Mekurumeku Story (Japan, ROM Based)</description>
    <year>1992</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr15343.ic2" size="131072" crc="c72399a7" sha1="bfbf0079ea63f89bca4ce9081aed5d5c1d9d169a" region="maincpu" offset="0" />
    <rom name="epr15342.ic1" size="131072" crc="0968ac84" sha1="4e1170ac123adaec32819754b5075531ff1925fe" region="maincpu" offset="1" />
    <rom name="epr15345.ic5" size="524288" crc="88030b5d" sha1="d2feeedb9a64c3dc8dd25716209f945d12fa9b53" region="romboard" offset="0" />
    <rom name="epr15344.ic4" size="524288" crc="dd11b382" sha1="2b0f49fb307a9aba0f295de64782ee095c557170" region="romboard" offset="1" />
    <rom name="mpr15347.ic7" size="524288" crc="0472677b" sha1="93ae57a2817b6b54c99814fca28ef51f7ff5e559" region="romboard" offset="100000" />
    <rom name="mpr15346.ic6" size="524288" crc="746d4d0e" sha1="7863abe36126684772a4459d5b6f3b24670ec02b" region="romboard" offset="100001" />
    <rom name="mpr15349.ic9" size="524288" crc="770eecf1" sha1="86cc5b4a325198dc1da1446ecd8e718415b7998a" region="romboard" offset="200000" />
    <rom name="mpr15348.ic8" size="524288" crc="7666e960" sha1="f3f88d5c8318301a8c73141de60292f8349ac0ce" region="romboard" offset="200001" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="4" coins="4" service="yes">
      <control type="joy" player="1" buttons="1" ways="8" />
      <control type="joy" player="2" buttons="1" ways="8" />
      <control type="joy" player="3" buttons="1" ways="8" />
      <control type="joy" player="4" buttons="1" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Play Mode" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="2 Player" value="1" />
      <dipvalue name="4 Player" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Lives" tag="DSW" mask="12">
      <diplocation name="SW2" number="3" />
      <diplocation name="SW2" number="4" />
      <dipvalue name="2" value="8" />
      <dipvalue name="3" value="12" />
      <dipvalue name="4" value="4" />
      <dipvalue name="5" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Answer Counts" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="Every" value="16" default="yes" />
      <dipvalue name="3" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="32">
      <diplocation name="SW2" number="6" />
      <dipvalue name="Off" value="32" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easy" value="128" />
      <dipvalue name="Normal" value="192" default="yes" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="roughrac" sourcefile="segas24.cpp">
    <description>Rough Racer (Japan, Floppy Based, FD1094 317-0058-06b)</description>
    <year>1990</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-06b.key" size="8192" crc="6a5bf536" sha1="3fc3e93ce8a47d7ee86da889efad2e7eca6e2ee9" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-06b.img" size="1843200" crc="a7fb2149" sha1="c04266ae31700b085ab45606aed83019a563de70" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <device_ref name="upd4701a" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="dial" player="1" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="joy" player="2" buttons="3" ways="8" />
      <control type="dial" player="2" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="1" value="1" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Game Instruction" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="0" />
      <dipvalue name="On" value="8" default="yes" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="Easy" value="32" />
      <dipvalue name="Normal" value="48" default="yes" />
      <dipvalue name="Hard" value="16" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <dipswitch name="Start Money" tag="DSW" mask="64">
      <diplocation name="SW2" number="7" />
      <dipvalue name="15000" value="64" default="yes" />
      <dipvalue name="20000" value="0" />
    </dipswitch>
    <dipswitch name="Start Intro" tag="DSW" mask="128">
      <diplocation name="SW2" number="8" />
      <dipvalue name="10" value="128" default="yes" />
      <dipvalue name="15" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DIAL1">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL2">
      <analog mask="4095" />
    </port>
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="sgmast" sourcefile="segas24.cpp">
    <description>Super Masters Golf (World?, Floppy Based, FD1094 317-0058-05d?)</description>
    <year>1989</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-05d.key" size="8192" crc="c779738d" sha1="f65355c20fbcb22781816d24633a509f13bec170" status="baddump" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-05d.img" size="1843200" crc="e9a69f93" sha1="dc15e47ed78373688c1fab72a9605528068ad702" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="1" coins="4" service="yes">
      <control type="pedal" buttons="4" minimum="0" maximum="191" sensitivity="16" keydelta="16" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="1" value="1" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Gameplay" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="1 Hole 1 Credit" value="8" default="yes" />
      <dipvalue name="Lose Ball Game Over" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="Off" value="16" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="224">
      <diplocation name="SW2" number="6" />
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easiest" value="128" />
      <dipvalue name="Easier" value="160" />
      <dipvalue name="Easy" value="192" />
      <dipvalue name="Normal" value="224" default="yes" />
      <dipvalue name="Little Hard" value="96" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Harder" value="32" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PADDLE">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="sgmastc" sourcefile="segas24.cpp" cloneof="sgmast" romof="sgmast">
    <description>Jumbo Ozaki Super Masters Golf (World, Floppy Based, FD1094 317-0058-05c)</description>
    <year>1989</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" merge="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" merge="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-05c.key" size="8192" crc="ae0eabe5" sha1="692d7565bf9c5b32cc80bb4bd88c9193aa04cbb0" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-05c.img" size="1843200" crc="63a6ef3a" sha1="f39fe0bf8930de994b1a77e0ba787d249d73c5e5" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="1" coins="4" service="yes">
      <control type="pedal" buttons="4" minimum="0" maximum="191" sensitivity="16" keydelta="16" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="1" value="1" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Gameplay" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="1 Hole 1 Credit" value="8" default="yes" />
      <dipvalue name="Lose Ball Game Over" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="Off" value="16" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="224">
      <diplocation name="SW2" number="6" />
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easiest" value="128" />
      <dipvalue name="Easier" value="160" />
      <dipvalue name="Easy" value="192" />
      <dipvalue name="Normal" value="224" default="yes" />
      <dipvalue name="Little Hard" value="96" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Harder" value="32" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PADDLE">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="imperfect" emulation="good" savestate="unsupported" />
    <feature type="graphics" status="imperfect" />
  </machine>
  <machine name="sgmastj" sourcefile="segas24.cpp" cloneof="sgmast" romof="sgmast">
    <description>Jumbo Ozaki Super Masters Golf (Japan, Floppy Based, FD1094 317-0058-05b)</description>
    <year>1989</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" merge="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" merge="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-05b.key" size="8192" crc="adc0c83b" sha1="2328d82d5057062eeb0072fd57f0422218cf24fc" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-05b.img" size="1843200" crc="a136668c" sha1="7203f9d11023605a0a4b52a4be330785c8f7b623" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <device_ref name="upd4701a" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="0" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="1" coins="4" service="yes">
      <control type="dial" buttons="2" minimum="0" maximum="4095" sensitivity="25" keydelta="15" />
      <control type="pedal" minimum="0" maximum="191" sensitivity="16" keydelta="16" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Start Credit" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="1" value="1" default="yes" />
      <dipvalue name="2" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="4">
      <diplocation name="SW2" number="3" />
      <dipvalue name="Off" value="4" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="8">
      <diplocation name="SW2" number="4" />
      <dipvalue name="Off" value="8" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Unused" tag="DSW" mask="16">
      <diplocation name="SW2" number="5" />
      <dipvalue name="Off" value="16" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="224">
      <diplocation name="SW2" number="6" />
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easiest" value="128" />
      <dipvalue name="Easier" value="160" />
      <dipvalue name="Easy" value="192" />
      <dipvalue name="Normal" value="224" default="yes" />
      <dipvalue name="Little Hard" value="96" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Harder" value="32" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DIAL1">
      <analog mask="4095" />
    </port>
    <port tag=":DIAL2" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":PADDLE">
      <analog mask="255" />
    </port>
    <port tag=":SERVICE" />
    <driver status="imperfect" emulation="good" savestate="unsupported" />
    <feature type="graphics" status="imperfect" />
  </machine>
  <machine name="sspiritj" sourcefile="segas24.cpp" cloneof="sspirits" romof="sspirits">
    <description>Scramble Spirits (Japan, Floppy DS3-5000-02-REV-A Based)</description>
    <year>1988</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-11339.ic2" size="131072" crc="75130e73" sha1="e079739f4a3da3807aac570442c5afef1a7d7b0e" region="maincpu" offset="0" />
    <rom name="epr-11338.ic1" size="131072" crc="7d4a7ff3" sha1="3d3af04d990d232ba0a8fe155de59bc632a0a461" region="maincpu" offset="1" />
    <rom name="ds3-5000-02-rev-a.img" size="1925120" crc="0385470f" sha1="62c1bfe3a88b2dee44629809e08b4b8a5770eaab" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="270" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Lives" tag="DSW" mask="12">
      <diplocation name="SW2" number="3" />
      <diplocation name="SW2" number="4" />
      <dipvalue name="2" value="0" />
      <dipvalue name="3" value="12" default="yes" />
      <dipvalue name="4" value="8" />
      <dipvalue name="5" value="4" />
    </dipswitch>
    <dipswitch name="Bonus Life" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="500K" value="32" />
      <dipvalue name="600K" value="48" default="yes" />
      <dipvalue name="800K" value="16" />
      <dipvalue name="None" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easy" value="128" />
      <dipvalue name="Normal" value="192" default="yes" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="sspirits" sourcefile="segas24.cpp">
    <description>Scramble Spirits (World, Floppy Based)</description>
    <year>1988</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="ds3-5000-02-.img" size="1843200" crc="179b98e9" sha1="f6fc52c599c336d5c6f7aa199515268b4b3218a8" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="m68000" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Motorola MC68000" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="270" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Lives" tag="DSW" mask="12">
      <diplocation name="SW2" number="3" />
      <diplocation name="SW2" number="4" />
      <dipvalue name="2" value="0" />
      <dipvalue name="3" value="12" default="yes" />
      <dipvalue name="4" value="8" />
      <dipvalue name="5" value="4" />
    </dipswitch>
    <dipswitch name="Bonus Life" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="500K" value="32" />
      <dipvalue name="600K" value="48" default="yes" />
      <dipvalue name="800K" value="16" />
      <dipvalue name="None" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easy" value="128" />
      <dipvalue name="Normal" value="192" default="yes" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="good" emulation="good" savestate="unsupported" />
  </machine>
  <machine name="sspirtfc" sourcefile="segas24.cpp" cloneof="sspirits" romof="sspirits">
    <description>Scramble Spirits (World, Floppy Based, FD1094 317-0058-02c)</description>
    <year>1988</year>
    <manufacturer>Sega</manufacturer>
    <rom name="epr-12187.ic2" merge="epr-12187.ic2" size="131072" crc="e83783f3" sha1="4b3b32df7de85aef9cd77c8a4ffc17e10466b638" region="maincpu" offset="0" />
    <rom name="epr-12186.ic1" merge="epr-12186.ic1" size="131072" crc="ce76319d" sha1="0ede61f0700f9161285c768fa97636f0e42b96f8" region="maincpu" offset="1" />
    <rom name="317-0058-02c.key" size="8192" crc="ebae170e" sha1="b6d1e1b6943a35b96e98e426ecb39bb5a42fb643" region="subcpu:key" offset="0" />
    <rom name="ds3-5000-02c.img" size="1843200" status="nodump" region="floppy" offset="0" />
    <device_ref name="m68000" />
    <device_ref name="timer" />
    <device_ref name="fd1094" />
    <device_ref name="315_5296" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="timer" />
    <device_ref name="segas24_tile" />
    <device_ref name="segas24_sprite" />
    <device_ref name="segas24_mixer" />
    <device_ref name="screen" />
    <device_ref name="palette" />
    <device_ref name="speaker" />
    <device_ref name="speaker" />
    <device_ref name="ym2151" />
    <device_ref name="dac_8bit_r2r" />
    <device_ref name="nvram" />
    <chip type="cpu" tag="maincpu" name="Motorola MC68000" clock="10000000" />
    <chip type="cpu" tag="subcpu" name="Hitachi FD1094 Encrypted CPU" clock="10000000" />
    <chip type="audio" tag="lspeaker" name="Speaker" />
    <chip type="audio" tag="rspeaker" name="Speaker" />
    <chip type="audio" tag="ymsnd" name="Yamaha YM2151 OPM" clock="4000000" />
    <chip type="audio" tag="dac" name="8-Bit R-2R DAC" />
    <display tag="screen" type="raster" rotate="270" width="496" height="384" refresh="57.524160" pixclock="16000000" htotal="656" hbend="0" hbstart="496" vtotal="424" vbend="0" vbstart="384" />
    <sound channels="2" />
    <input players="2" coins="4" service="yes">
      <control type="joy" player="1" buttons="3" ways="8" />
      <control type="joy" player="2" buttons="3" ways="8" />
    </input>
    <dipswitch name="Coin A" tag="COINAGE" mask="15">
      <diplocation name="SW1" number="1" />
      <diplocation name="SW1" number="2" />
      <diplocation name="SW1" number="3" />
      <diplocation name="SW1" number="4" />
      <dipvalue name="4 Coins/1 Credit" value="7" />
      <dipvalue name="3 Coins/1 Credit" value="8" />
      <dipvalue name="2 Coins/1 Credit" value="9" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="5" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="4" />
      <dipvalue name="1 Coin/1 Credit" value="15" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="3" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="2" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="1" />
      <dipvalue name="2 Coins/3 Credits" value="6" />
      <dipvalue name="1 Coin/2 Credits" value="14" />
      <dipvalue name="1 Coin/3 Credits" value="13" />
      <dipvalue name="1 Coin/4 Credits" value="12" />
      <dipvalue name="1 Coin/5 Credits" value="11" />
      <dipvalue name="1 Coin/6 Credits" value="10" />
      <dipvalue name="Free Play (if Coin B too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Coin B" tag="COINAGE" mask="240">
      <diplocation name="SW1" number="5" />
      <diplocation name="SW1" number="6" />
      <diplocation name="SW1" number="7" />
      <diplocation name="SW1" number="8" />
      <dipvalue name="4 Coins/1 Credit" value="112" />
      <dipvalue name="3 Coins/1 Credit" value="128" />
      <dipvalue name="2 Coins/1 Credit" value="144" />
      <dipvalue name="2 Coins/1 Credit, 5/3, 6/4" value="80" />
      <dipvalue name="2 Coins/1 Credit, 4/3" value="64" />
      <dipvalue name="1 Coin/1 Credit" value="240" default="yes" />
      <dipvalue name="1 Coin/1 Credit, 5/6" value="48" />
      <dipvalue name="1 Coin/1 Credit, 4/5" value="32" />
      <dipvalue name="1 Coin/1 Credit, 2/3" value="16" />
      <dipvalue name="2 Coins/3 Credits" value="96" />
      <dipvalue name="1 Coin/2 Credits" value="224" />
      <dipvalue name="1 Coin/3 Credits" value="208" />
      <dipvalue name="1 Coin/4 Credits" value="192" />
      <dipvalue name="1 Coin/5 Credits" value="176" />
      <dipvalue name="1 Coin/6 Credits" value="160" />
      <dipvalue name="Free Play (if Coin A too) or 1/1" value="0" />
    </dipswitch>
    <dipswitch name="Flip Screen" tag="DSW" mask="1">
      <diplocation name="SW2" number="1" />
      <dipvalue name="Off" value="1" default="yes" />
      <dipvalue name="On" value="0" />
    </dipswitch>
    <dipswitch name="Demo Sounds" tag="DSW" mask="2">
      <diplocation name="SW2" number="2" />
      <dipvalue name="Off" value="2" />
      <dipvalue name="On" value="0" default="yes" />
    </dipswitch>
    <dipswitch name="Lives" tag="DSW" mask="12">
      <diplocation name="SW2" number="3" />
      <diplocation name="SW2" number="4" />
      <dipvalue name="2" value="0" />
      <dipvalue name="3" value="12" default="yes" />
      <dipvalue name="4" value="8" />
      <dipvalue name="5" value="4" />
    </dipswitch>
    <dipswitch name="Bonus Life" tag="DSW" mask="48">
      <diplocation name="SW2" number="5" />
      <diplocation name="SW2" number="6" />
      <dipvalue name="500K" value="32" />
      <dipvalue name="600K" value="48" default="yes" />
      <dipvalue name="800K" value="16" />
      <dipvalue name="None" value="0" />
    </dipswitch>
    <dipswitch name="Difficulty" tag="DSW" mask="192">
      <diplocation name="SW2" number="7" />
      <diplocation name="SW2" number="8" />
      <dipvalue name="Easy" value="128" />
      <dipvalue name="Normal" value="192" default="yes" />
      <dipvalue name="Hard" value="64" />
      <dipvalue name="Hardest" value="0" />
    </dipswitch>
    <port tag=":COINAGE" />
    <port tag=":DSW" />
    <port tag=":P1" />
    <port tag=":P2" />
    <port tag=":P3" />
    <port tag=":SERVICE" />
    <driver status="preliminary" emulation="preliminary" savestate="unsupported" />
  </machine>
</datafile>